# Hiding Other Elements from the Page

As shown in [Modifying the Default Styles](/enterprise/changing-the-default-payment-page-appearance/modifying-the-default-styles.md), the `customStyle` property in the `uiCustomData` object allows you to modify the look of the payment page by passing custom CSS. Among other things, this can be used to hide elements from the page.

For example, if you want to make the payment page more minimalistic, you could remove the header, the form title, and some of the transaction detail elements by setting all of them to `display: none;`:

```json
<paymentPageData>
    <ppsJSONConfig>
        {
          "uiCustomData": {
            "customStyle": "#cg-amount-title,#cg-form-title,#cg-pd-title,#cg-header{display:none}"
          }
        }
    </ppsJSONConfig>
</paymentPageData>
```

This would result in a payment page that looks like this:

![A minimalistic payment page](/files/4U4l28HeXdsQThWfBCOD)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.hyp.co.il/enterprise/changing-the-default-payment-page-appearance/hiding-other-elements-from-the-page.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
